TextToSpeechShutdown(3dtk)

Name

TextToSpeechShutdown - Shuts down the text-to-speech system and frees system resources.

Syntax
    MMRESULT TextToSpeechShutdown (LPTTS_HANDLE_T phTTS)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

Description

This function shuts down the text-to-speech system and frees all its system resources.

You call TextToSpeechShutdown() to close an application. Any user-defined dictionaries that were previously loaded are unloaded. All previously queued text is discarded, and the text-to-speech system immediately stops speaking.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechStartup(3dtk), TextToSpeechStartupEx(3dtk)